
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Vmstat命令监控Linux资源并将数据通过图形化方式显示 / 憋错料</title>

    <meta name="description" content="Vmstat命令监控Linux资源并将数据通过图形化方式显示 一.Vmstat基础知识 Vmstat可以实时查看系统资源使用情况,如cpu.mem.IO等 procsr 列表示运行和等待cpu时间片的进程数,如果长期大于1,说明cpu不足,需要增加cpu.b 列表示在等待资源的进程数,比如正在等待I/O.或者内存交换等.cpu 表示cpu的使其用状态us 列显示了用户方式下所花费 CPU 时间的百分比.us的值比较高时,说明用户进程消耗的cpu时间多,但是如果长期大于50%,需要考虑优化用户的程序.sy 列显示了内核进程所花费的cpu时间的百分比.这里us">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Vmstat命令监控Linux资源并将数据通过图形化方式显示</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一.Vmstat基础知识</p>
<p>Vmstat可以实时查看系统资源使用情况，如cpu、mem、IO等</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTA3MzYyMTAtOTkxMzI4NDM5LnBuZw==.jpg"></p>
<p><strong>procs</strong><br />r&nbsp;列表示运行和等待cpu时间片的进程数，如果长期大于1，说明cpu不足，需要增加cpu。<br />b&nbsp;列表示在等待资源的进程数，比如正在等待I/O、或者内存交换等。<br /><strong>cpu&nbsp;</strong><strong>表示</strong><strong>cpu</strong><strong>的使其用状态</strong><br />us&nbsp;列显示了用户方式下所花费&nbsp;CPU&nbsp;时间的百分比。us的值比较高时，说明用户进程消耗的cpu时间多，但是如果长期大于50%，需要考虑优化用户的程序。<br />sy&nbsp;列显示了内核进程所花费的cpu时间的百分比。这里us + sy的参考值为80%，如果us+sy&nbsp;大于&nbsp;80%说明可能存在CPU不足。<br />wa&nbsp;列显示了IO等待所占用的CPU时间的百分比。这里wa的参考值为30%，如果wa超过30%，说明IO等待严重，这可能是磁盘大量随机访问造成的，也可能磁盘或者磁盘访问控制器的带宽瓶颈造成的(主要是块操作)。&nbsp;<br />id&nbsp;列显示了cpu处在空闲状态的时间百分比&nbsp;<br />system&nbsp;显示采集间隔内发生的中断数<br />in&nbsp;列表示在某一时间间隔中观测到的每秒设备中断数。<br />cs列表示每秒产生的上下文切换次数，如当&nbsp;cs&nbsp;比磁盘&nbsp;I/O&nbsp;和网络信息包速率高得多，都应进行进一步调查。<br /><strong>memory</strong><br />swpd&nbsp;切换到内存交换区的内存数量(k表示)。如果swpd的值不为0，或者比较大，比如超过了100m，只要si、so的值长期为0，系统性能还是正常&nbsp;<br />free&nbsp;当前的空闲页面列表中内存数量(k表示)&nbsp;<br />buff&nbsp;作为buffer cache的内存数量，一般对块设备的读写才需要缓冲。&nbsp;<br />cache:&nbsp;作为page cache的内存数量，一般作为文件系统的cache，如果cache较大，说明用到cache的文件较多，如果此时IO中bi比较小，说明文件系统效率比较好。&nbsp;<br /><strong>swap</strong><br />si&nbsp;由内存进入内存交换区数量。<br />so由内存交换区进入内存数量。&nbsp;<br /><strong>IO</strong><br />bi&nbsp;从块设备读入数据的总量（读磁盘）（每秒kb）。<br />bo&nbsp;块设备写入数据的总量（写磁盘）（每秒kb）<br />这里我们设置的bi+bo参考值为1000，如果超过1000，而且wa值较大应该考虑均衡磁盘负载，可以结合iostat输出来分析。</p>
<p>二：Vmstat使用方法</p>
<p>vmstat help：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTMzMjgwNjktMjIxMTAyNTIxLnBuZw==.jpg"></p>
<p>一般最常用的是Vmstat T表示每间隔一段时间就采集一次数据，T的单位是秒。</p>
<p>如果想一段时间采集，而且固定采集的次数，使用Vmstat&nbsp; T&nbsp; count其中count就表示要采集的次数。</p>
<p>更常用的的是将采集的文件输出到文件中，如将每5秒采集一次，共采集100次的数据输出到文件resource.txt文件中，就用vmstat 5 100 &gt; resource.txt即可。</p>
<p>三：vmstat 输出数据文件处理</p>
<p>Vmstat命令生成的数据文件中，每列数据都是以空格分开，如下图所示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTQ1MjE1ODUtMTgxMTI4MjMwMy5wbmc=.jpg"></p>
<p>为了便于将这些文件在Excel表格中显示，需要将数据中的空格替换为其它字符后，再进行处理。</p>
<p>本文中将空格替换为逗号，将vmstat生成的文件用vi编辑器打开，输入:1,$s/ /+/,/g，回车，即可将空格替换为逗号。</p>
<p>将替换后的文件保存，并下载下来，另存为.csv文件，即可在Excel中打开进行处理了。</p>
<p>其实也可以将vmstat生成的数据文件，直接在Excel中打开，打开时选择分隔符号为“空格”，如下图所示，同样方法在Excel处理。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTQ4NTY5NzYtMTk1MDg4NzU4Mi5wbmc=.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTQ5MDkwMDctOTUzMzkyNTY0LnBuZw==.jpg"></p>
<p>【数据处理小知识】vmstat监控输出到文件中的数据，每20行后，有新的标题行，在导入到Excel中后，处理时需要删除这些标题行，可以利用sed命令删除。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTQ5NTk2MTYtMTY5MTI5Mjg3LnBuZw==.jpg"></p>
<p>处理后：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzExMDgxOTgvMjAxNzA5LzExMDgxOTgtMjAxNzA5MDQxMTUwMjY4OTctNjkyOTI5NzQxLnBuZw==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 23:43:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%b8%8b%e8%bd%bd/" title="下载">下载</a>, <a href="https://www.biecuoliao.com/tag/pac/" title="pac">pac</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%be%e7%bd%ae/" title="设置">设置</a>, <a href="https://www.biecuoliao.com/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6%e4%b8%ad/" title="文件中">文件中</a>, <a href="https://www.biecuoliao.com/tag/%e5%9d%87%e8%a1%a1/" title="均衡">均衡</a>, <a href="https://www.biecuoliao.com/tag/%e6%8e%a7%e5%88%b6%e5%99%a8/" title="控制器">控制器</a>, <a href="https://www.biecuoliao.com/tag/%e5%9f%ba%e7%a1%80%e7%9f%a5%e8%af%86/" title="基础知识">基础知识</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Vmstat命令监控Linux资源并将数据通过图形化方式显示的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDoQD74.html" rel="bookmark">LoadRunner监控Linux资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.LoadRunner监控Linux资源 (一).准备工作 首先,监视Linux一定要有rstatd这个守护进程,有的Linux版本里也有可能是rpc.rstatd这里只是名字不同而已,功能是一样的. 1.可以通过两种方法验证服务器上是否配置了rstatd守护程序: (1)使用rup命令 它用于报告计算机的各种统计信息,其中就包括rstatd的配置信息.使用命令rup 10.130.61.203,此处10.130.61.203是要监视的linux/Unix服务器的Ip,如果该命令返回相关的统计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dKDbzM.html" rel="bookmark">Linux学习&mdash;centos7设置开机非图形化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos7修改默认开机状态 在centos6中的开机默认开机状态保存在/etc/inittab文件中,那centos7中会不会发生变化呢,我们不妨同样地查看centos7中的/etc/inittab文件: 发现和centos6中的内容不一样,大致内容为centos7中不再使用runlevels的概念,而是改用targets来代表运行状态,multi-user.target对应centos6中的runlevel 3(多用户模式),graphical.target对应于centos6中的runl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWxkqB0.html" rel="bookmark">Linux学习笔记--top命令&lpar;监控linux系统状况的命令&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				top命令是Linux下常用的性能分析工具,能够实时显示系统中各个进程的资源占用状况,比如cpu.内存的使用等,类似于Windows的任务管理器. 1. 命令格式: top [选项] 2. 常用选项: &quot;top -c&quot; 显示完整的命令行而不只是显示命令名. &quot;top -d&quot; 指定每两次屏幕信息刷新之间的时间间隔. &quot;top -n 3&quot; 指定循环的次数为3次. &quot;top -u 用户名&quot; 指定用户名. &quot;top -p 进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0eVlp3.html" rel="bookmark">pv命令监控Linux命令的执行进度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.techweb.com.cn/network/system/2015-12-14/2241124.shtml yum install -y pv cp mysql-5.6.28-linux-glibc2.5-x86_64.tar.gz mysql-5.6.28-linux-glibc2.5-x86_64aa|pv -tb &gt;/dev/null 0B 0:00:07 centos通过yum安装的pv命令版本较低 版本是1.1,还不支持-a参数,单纯靠-bt参数看起来还是有点累			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kLrwj3.html" rel="bookmark">使用 pv 命令监控 linux 命令的执行进度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你是一个 linux 系统管理员,那么毫无疑问你必须花费大量的工作时间在命令行上:安装和卸载软件,监视系统状态,复制.移动.删除文件,查错,等等.很多时候都是你输入一个命令,然后等待很长时间直到执行完成.也有的时候你执行的命令挂起了,而你只能猜测命令执行的实际情况. 通常 linux 命令不提供和进度相关的信息,而这些信息特别重要,尤其当你只有有限的时间时.然而这并不意味着你是无助的--现在有一个命令,pv,它会显示当前在命令行执行的命令的进度信息.在本文我们会讨论它并用几个简单的例子说明其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyzRXV0.html" rel="bookmark">vmstat命令&mdash;&mdash;监控给定时间间隔的服务器的状态值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat n m 时间间隔为n秒,采集m组数据vmstat n     时间间隔为n秒 # vmstat 2 3 procs -----------memory---------- ---swap-- -----io---- --system-- -----cpu----- r b swpd free buff cache si so bi bo in cs us sy id wa st 0 0 252 99272 148444 614268 0 0 0 9 4 2 0 0 99 0 0 0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rxVz7M.html" rel="bookmark">用vmstat来监控linux系统的整体性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat是一个相当全面的性能分析工具,可以用来观察系统的进程状态.内存使用情况. 虚拟内存的使用情况.磁盘的I/O.系统的中断以及上下文切换.cpu的使用情况等性能信息. 主要用法: vmstat  delay count 其中 delay是输出的时间间隔,count是输出的次数 例如: 各个性能字段中各参数的说明: procs: r:等待运行的进程数 b:处在非中断睡眠状态的进程数 memory: swpd:虚拟内存的使用量,单位为KB free:空闲的内存,单位为KB buff:被用来作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Yql9y0.html" rel="bookmark">Linux红黑树编程实例，图形化显示红黑树</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习Linux内核里的红黑树,发现网站上都没有一点好的实例能直观表达.参考了网上一些大神的技巧,终于在 终端上实现直观表达红黑树. 我们这次使用的红黑树代码是从Linux内核拷贝出来的:include/linux/rbtree.h 和 lib/rbtree.c 由于我们的代码是应用程序上实现的,所以要对这两个文件做一些修改: rbtree.h: 注:注释掉两行头文件,加入offsetof和container_of的宏定义 rbtree.c: 注:注释掉头文件,加入自己改过的rbtree.h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r5yPl0.html" rel="bookmark">监控 Linux 性能的 18 个命令行工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于系统和网络管理员来说每天监控和调试Linux系统的性能问题是一项繁重的工作.在IT领域作为一名Linux系统的管理员工作5年后,我逐渐认识到监控和保持系统启动并运行是多么的不容易.基于此原因,我们已编写了最常使用的18个命令行工具列表,这些工具将有助于每个Linux/Unix 系统管理员的工作.这些命令行工具可以在各种Linux系统下使用,可以用于监控和查找产生性能问题的原因.这个命令行工具列表提供了足够的工具,您可以挑选适用于您的监控场景的工具. LitStone翻译于 2个月前 3人顶			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDm8o0.html" rel="bookmark" class="title">ios和android适配</a>
					<div>
						一些情况下对非可点击元素如(label,span)监听click事件,ios下不会触发 解决方案:css增加cursor:pointer; 三星手机遮罩层下的input.select.a等元素可以被点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLa2p0.html" rel="bookmark" class="title">linux内存管理浅析</a>
					<div>
						[地址映射](图:左中)linux内核使用页式内存管理,应用程序给出的内存地址是虚拟地址,它需要经过若干级页表一级一级的变换,才变成真正的物理地址.想一下,地址映射还是一件很恐怖的事情.当访问一个由虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQ8Pn3.html" rel="bookmark" class="title">Collection的实现&mdash;&mdash;学生选课（四）</a>
					<div>
						课程查询 通过size方法获取List的长度 int size=coursesToselect.size(); 通过for循环遍历List的元素,再调用get方法取出元素并输出 Course cr=( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNJKwM.html" rel="bookmark" class="title">sd&fjlig;sd&fjlig;ks&fjlig;sdfsj</a>
					<div>
						http://jz.gexing.com/dongmankong/post/1398092 http://jz.gexing.com/dongmankong/post/1398093 http://j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPJJa0.html" rel="bookmark" class="title">解决easyui datagrid load时缓存问题</a>
					<div>
						修改easyui datagrid内容保存后,使用$(&quot;#dg&quot;).datagrid(&quot;reload&quot;);或者$(&quot;#dg&quot;).datagr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVyXQM.html" rel="bookmark" class="title">Dynamics CRM 2015&sol;2016&sol;365 Web API：级联查询</a>
					<div>
						级联查询,即为在一次查询请求中吧父子记录统统查询出来的行为.使用Web API进行这样的查询非常的方便,主需要在OData Query URL中加入$expand关键字即可,不管在轻客户端或重客户端, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZaXzM.html" rel="bookmark" class="title">iOS-笔记 字符编码</a>
					<div>
						今天做视频字幕的部分,是srt格式,得到的是字符串,在解码过程中卡壳半天,也是醉了 获取的data是有数据的,转换成字符串愣是没数据, 经过多方面研究发现了自己的错误, 以前一直用的解码方式都是UTF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZDvv3.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;27&rpar; - 控件（文本类）&colon; TextBlock</a>
					<div>
						原文:背水一战 Windows 10 (27) - 控件(文本类): TextBlock [源码下载] 作者:webabcd 介绍背水一战 Windows 10 之 控件(文本类) TextBlock ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dooAnM.html" rel="bookmark" class="title">MySQL实例搭建</a>
					<div>
						Q:如何判断一个Linux系统具备安装MySQL的条件? A: 1.Linux网络已经配置完成 ip地址/子网掩码.默认网关.主机名字 /etc/hosts:访问这个数据库的应用的IP地址和主机名字也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5zeD3.html" rel="bookmark" class="title">node&period;js 下依赖Express 实现post 4种方式提交参数</a>
					<div>
						上面这个图好有意思啊,哈哈, v8威武啊.... 在2014年的最后一天和大家分享关于node.js 如何提交4种格式的post数据. 上上一篇说到了关于http协议里定义的4种常见数据的post方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkPLNM.html" rel="bookmark" class="title">P54、 5 用2&period;5&period;2小节讲述的定义数据的方法，定义上述的电话号码</a>
					<div>
						电话号码=[校内电话号码|校外电话号码] 校内电话号码=非零数字+3位数字 校外电话号码=[本市号码|外地号码] 本市号码=数字零+8位数字 外地号码=数字零+3位数字+8位数字 非零数字=[1|2| ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLWgD0.html" rel="bookmark" class="title">POJ 3258 River Hopscotch 二分答案</a>
					<div>
						River Hopscotch Time Limit: 2000MS   Memory Limit: 65536K Total Submissions: 6193   Accepted: 2685 D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEW5PQ3.html" rel="bookmark" class="title">2&period;3、启动服务器</a>
					<div>
						程序实例用 run 方法启动 Flask 集成的开发 Web 服务器: if __name__ == '__main__': app.run(debug=True) __name__=='__main ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyJQKM.html" rel="bookmark" class="title">Visual Studio Tips</a>
					<div>
						Tip 1 VS2010 临时文件控制,VS2010会在每个项目下生成临时文件,这些临时文件其实没有意义,对svn也不大友好;修改一下编译器设置就可以从此摆脱他们了; http://stackover ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWraEG4.html" rel="bookmark" class="title">js数字过长导致前后端数字不一样（真是js的一个大坑）</a>
					<div>
						function send(){ var users=[1000000013810001001]; var data={ users:users, flag:true }; var address=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjxWyM.html" rel="bookmark" class="title">三 JSP 技术</a>
					<div>
						一 JSP 概述 1. 本质:在 HTML 语言中混合 Java 程序代码,由服务器端 Java 语言引擎解释执行.其中,HTML 负责描述信息显示格式,JSP 负责描述处理逻辑. 2. JSP 代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjJ6vM.html" rel="bookmark" class="title">结对编程（黄金数游戏）</a>
					<div>
						一.角色分工 驾驶员:刘 阳 领航员:季成宇 二.程序代码 代码已提交至coding.net 链接:https://coding.net/u/ly8400/p/work/git/blame/maste ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPAolM.html" rel="bookmark" class="title">Java Script 第十一节课 Java Script的中的函数-通过function关键</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgmao3.html" rel="bookmark" class="title">D3js-API介绍【英】</a>
					<div>
						Everything in D3 is scoped under the d3 namespace. D3 uses semantic versioning. You can find the cur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jwAKZ3.html" rel="bookmark" class="title">WinForm------TreeList修改节点图标和按钮样式</a>
					<div>
						转载: https://documentation.devexpress.com/#WindowsForms/DevExpressXtraTreeListTreeList_CustomDrawNode ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
